# Төлемді қайтару

<mark style="color:green;">`POST`</mark> `https://prapi.tarlanpayments.kz/refund/api/v1/system/refund/partial`

#### Headers

| Name                                            | Type   | Description                                                                                                  |
| ----------------------------------------------- | ------ | ------------------------------------------------------------------------------------------------------------ |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотациялық хэш ([Қолтаңбаны қалыптастыруға ](/az/t-lem-shlyuzi/olta-bany-alyptastyru.md)қараңыз) |

#### Request Body

| Name                                              | Type    | Description                                   |
| ------------------------------------------------- | ------- | --------------------------------------------- |
| amount<mark style="color:red;">\*</mark>          | Integer | Қайтару сомасы                                |
| transaction\_id<mark style="color:red;">\*</mark> | Integer | Төлем жүйесіндегі транзакция сәйкестендіргіші |

{% tabs %}
{% tab title="200: OK Сәтті жауап үлгісі" %}

```json
{
    "status": true,
    "message": "Success",
    "result": {
        "transaction_id": 999,
        "transaction_status_code": 999
    }
}
```

{% endtab %}

{% tab title="500: Internal Server Error Қатесі бар жауап үлгісі" %}

```json
{
    "status": false,
    "status_code": 5103,
    "message": "transaction not found",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

```bash
curl --location 'prapi.tarlanpayments.kz/refund/api/v1/system/refund/partial' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer sign' \
--data '{
    "amount": 10,
    "transaction_id": "refund"
}'
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tarlanpayments.kz/az/t-lem-shlyuzi/k-mekshi-dister/t-lemdi-aitaru.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
